unit unCommonTypes;
{
    LineInCode - records an audio stream and writes it to the StdOut.
    Copyright (C) 2003 Roman Mamedov (roman@rm.pp.ru, http://rm.pp.ru/?en)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    In addition, as a special exception, Roman Mamedov gives permission to link
    the code of this program with the BASS library v1.5(BASS.DLL) and the
    Delphi API to that library(BASS.PAS) (or with modified versions of
    BASS.DLL and BASS.PAS that use the same license as BASS library v1.5), and
    distribute linked combinations including them.  You must obey
    the GNU General Public License in all respects for all of the code used
    other than BASS.DLL and BASS.PAS.  If you modify this file, you may extend
    this exception to your version of the file, but you are not obligated to
    do so.  If you do not wish to do so, delete this exception statement from
    your version.
}
interface

const
  PROGNAME = 'LineInCode';
  EXENAME = 'linco';
  PROGVER = '1.3';
  RELDATE = '2003-07-27';
  WEBSITE = 'http://rm.pp.ru/?1.lineincode';
  WEBSITERUS = 'http://rm.pp.ru/?soft.lineincode';
  AUTHNAME = 'Roman Mamedov';
  AUTHMAIL = 'roman@rm.pp.ru';

  PROGDESC =
    'Encode live audio with any audio coder which accepts raw PCM data on STDIN.'+#13#10+
    'Tested with FLAC(http://flac.sourceforge.net/), LAME(http://www.mp3dev.org/),'+#13#10+
    'OGG Vorbis(http://www.vorbis.com/) and Speex(http://www.inf.ufpr.br/~rja00/).';

  USAGEINFO: array[0..15] of AnsiString = (
    'USAGE:',
    '  ' + EXENAME + ' <options> | oggenc <options> - -o <outfile>',
    '  ' + EXENAME + ' <options> | lame <options> - <outfile>',
    '',
    'OPTIONS:',
    '  -B, --bits      '#9'Set bits/sample. 8 or 16 supported, default is 16',
    '  -C, --channels  '#9'Set number of channels. 1 or 2 supported, default is 2',
    '  -R, --rate      '#9'Set samples/sec. Default is 44100',
    '  -D, --duration  '#9'Specify max record duration(h:m:s)',
    '',
    'EXAMPLES:',
    '  ' + EXENAME +
      ' -B 16 -C 1 -R 44100 | oggenc -r -B 16 -C 1 -R 44100 -q 1 - -o out.ogg',
//    '  ' + EXENAME +
//      ' -B 8 -C 1 -R 16000 -D 0:10:0 | speexenc -w --lin8 - out.spx',
    '  ' + EXENAME +
      ' -B 16 -C 2 -R 44100 | lame -r -x -s 44.1 --bitwidth 16 --r3mix - out.mp3',      
//    '',
    'HINTS:',
    '* Make sure you specify the same bits/channels/rate parameters to ' + PROGNAME
      + #13#10 + '  AND to the encoder.',
    '* After the recording starts, you may terminate it by pressing "Ctrl-C",' + #13#10
      + '  or by killing "' + EXENAME + '.exe" in the Task Manager.'
    );

implementation

end.

